package com.muyu.server.service;

import com.muyu.common.domain.Enterprise;
import com.muyu.common.util.PageUtils;

import java.util.HashMap;
import java.util.Map;

public interface EnterpriseService {
    // 分页查询企业信息
    public PageUtils selectEnterprise(Map param);


    //新增企业信息
    public int insert(Enterprise enterprise);


    //根据编号查询企业信息
    public HashMap searchById(int enterpriseId);
    //修改企业信息
    public int updateEnterprise(Enterprise enterprise);


    //删除企业信息
    public int deleteByIds(Integer[] ids);
}
